<?php

namespace Drupal\messagebird;

use Drupal\Core\Config\ConfigFactoryInterface;
use MessageBird\Client;

/**
 * Class MessageBirdClient.
 *
 * @package Drupal\messagebird
 */
class MessageBirdClient implements MessageBirdClientInterface {

  /**
   * MessageBird Client object.
   *
   * @var \MessageBird\Client
   */
  protected $client;

  /**
   * MessageBird Configuration object.
   *
   * @var \Drupal\Core\Config\ImmutableConfig
   */
  protected $config;

  /**
   * MessageBirdClient constructor.
   *
   * @param \Drupal\Core\Config\ConfigFactoryInterface $config_factory
   *    Configuration factory object.
   */
  public function __construct(ConfigFactoryInterface $config_factory) {
    $this->config = $config_factory->get('messagebird.settings');

    $api_key = $this->config->get('api.key');
    $this->client = new Client($api_key);
  }

  /**
   * Get the active Client object.
   *
   * @return \MessageBird\Client
   *    The Client object.
   */
  public function getClient() {
    return $this->client;
  }

}
