<?php

namespace Drupal\messagebird;

/**
 * Interface MessageBirdMessageInterface.
 *
 * @package Drupal\messagebird
 */
interface MessageBirdMessageInterface {

  /**
   * Send a SMS message through MessageBird.
   *
   * @param string $body
   *   The text to be send.
   * @param string $recipients
   *   One or more recipients, comma separated.
   * @param string|null $originator
   *   (optional) Originator of the Message.
   * @param array $options
   *   (optional) Extra options to send with the Message.
   *
   * @return \MessageBird\Objects\Message
   *   MessageBird object.
   */
  public function sendMessage($body, $recipients, $originator = NULL, $options = array());

}
